diff --git a/docs/en_US/appendices.rst b/docs/en_US/appendices.rst
index 686b13e..45ef561 100644
--- a/docs/en_US/appendices.rst
+++ b/docs/en_US/appendices.rst
@@ -1,3 +1,5 @@
+.. _appendices:
+
 Appendices
 ==========
 
@@ -14,6 +16,6 @@ Contents:
 
 pgAdmin includes software from the OpenSSL and MIT Kerberos projects:
 
-* `MIT Kerberos licence <kerberos>`_
-* `The OpenSSL licence <openssl>`_
+* :ref:`MIT Kerberos licence <kerberos>`
+* :ref:`The OpenSSL licence <openssl>`
 
diff --git a/docs/en_US/connect-error.rst b/docs/en_US/connect-error.rst
index f97476e..8949631 100644
--- a/docs/en_US/connect-error.rst
+++ b/docs/en_US/connect-error.rst
@@ -1,4 +1,4 @@
-.. _connectionerrors:
+.. _connect-error:
 
 
 *****************
diff --git a/docs/en_US/connect.rst b/docs/en_US/connect.rst
index 3f3d166..4e5e064 100644
--- a/docs/en_US/connect.rst
+++ b/docs/en_US/connect.rst
@@ -9,8 +9,8 @@ Connect to server
 
 Use this dialog to add a new server connection to the pgAdmin tree.
 
-If you're experiencing connection problems, check the `connection problems
-<connect-error>`_.
+If you're experiencing connection problems, check the :ref:`connection problems
+<connect-error>`.
 
 The name is a text to identify the server in the pgAdmin tree.
 
@@ -26,8 +26,8 @@ pg_service.conf file. For details, see the `pg_service
 documentation <http://www.postgresql.org/docs/9.0/interactive/libpq-pgservice.html>`_.
 
 The maintenance DB field is used to specify the initial database that 
-pgAdmin connects to, and that will be expected to have the `pgAgent <pgagent>`_
-schema and `adminpack <extend>`_ objects
+pgAdmin connects to, and that will be expected to have the :ref:`pgAgent <pgagent>`
+schema and :ref:`adminpack <extend>` objects
 installed (both optional). On PostgreSQL 8.1 and above, the maintenance
 DB is normally called 'postgres', and on earlier versions 'template1' is
 often used, though it is preferrable to create a 'postgres' database for 
@@ -100,3 +100,10 @@ status/start/stop keywords to this. Example::
 This dialog can be launched at a later time to correct or add
 parameters by executing "properties" when the server is selected. You should
 not be connected to it if you want to make changes on its properties.
+
+Contents:
+
+.. toctree::
+   :maxdepth: 2
+
+   connect-error
diff --git a/docs/en_US/editgrid.rst b/docs/en_US/editgrid.rst
index 8a0c293..4f69680 100644
--- a/docs/en_US/editgrid.rst
+++ b/docs/en_US/editgrid.rst
@@ -78,3 +78,9 @@ selectively view the data:
 **Note:** If a column is already selected for sorting, it's position in the sort
 list will remain the same, only the direction will be changed.
 
+Contents:
+
+.. toctree::
+   :maxdepth: 2
+
+   gridopts
diff --git a/docs/en_US/index.rst b/docs/en_US/index.rst
index 1efc212..220c9a5 100644
--- a/docs/en_US/index.rst
+++ b/docs/en_US/index.rst
@@ -8,8 +8,8 @@ Contents:
 
    introduction
    using
-   pgagent.rst
-   slony.rst
-   extend.rst
-   appendices.rst
+   pgagent
+   slony
+   extend
+   appendices
 
diff --git a/docs/en_US/main.rst b/docs/en_US/main.rst
index b5083ab..1788481 100644
--- a/docs/en_US/main.rst
+++ b/docs/en_US/main.rst
@@ -23,8 +23,8 @@ tab.
 The lower right side contains a reverse engineered SQL script. You
 can copy this to any editor using cut & paste, or save it to a file
 using Save definition... from the File menu, or use it as a template
-if you select the `Query Tool <query>`_. If the
-`Copy SQL from main window to query tool <options-tab4>`_ option is selected, the SQL
+if you select the :ref:`Query Tool <query>`. If the
+:ref:`Copy SQL from main window to query tool <options-tab4>` option is selected, the SQL
 query will be copied automatically to the tool.
 
 The status line will show you some status information, as well as
diff --git a/docs/en_US/options-tab5.rst b/docs/en_US/options-tab5.rst
index 6efc753..8abeebf 100644
--- a/docs/en_US/options-tab5.rst
+++ b/docs/en_US/options-tab5.rst
@@ -5,7 +5,7 @@
 pgAdmin Options - Tab 5 (Query Tool Files)
 ******************************************
 
-.. image:: images/options-colours.png
+.. image:: images/options-querytoolfiles.png
 
 * **Favourites file path** - File path to the favourites file.
 
diff --git a/docs/en_US/pgagent.rst b/docs/en_US/pgagent.rst
index dfb792d..f3acbf1 100644
--- a/docs/en_US/pgagent.rst
+++ b/docs/en_US/pgagent.rst
@@ -1,3 +1,6 @@
+.. _pgagent:
+
+
 pgAgent
 ======= 
 
diff --git a/docs/en_US/query.rst b/docs/en_US/query.rst
index 6a602e9..633b312 100644
--- a/docs/en_US/query.rst
+++ b/docs/en_US/query.rst
@@ -145,3 +145,13 @@ For more details of the regular expression syntax offered, please see the
 `wxWidgets documentation
 <http://www.wxwindows.org/manuals/2.6.3/wx_wxresyn.html#wxresyn>`_.
 
+Contents:
+
+.. toctree::
+   :maxdepth: 2
+
+   gqb
+   export
+   macros
+   pgscript
+
diff --git a/docs/en_US/reports.rst b/docs/en_US/reports.rst
index bb56d20..de39899 100644
--- a/docs/en_US/reports.rst
+++ b/docs/en_US/reports.rst
@@ -46,7 +46,7 @@ XML linked to an external XSL stylesheet, or to process the XML using an
 external stylesheet and save the resulting output. This allows complete 
 flexibility to format reports in any way.
 
-The default `XSL stylesheet <default-xsl>`_ used to render 
+The default :ref:`XSL stylesheet <default-xsl>` used to render 
 XHTML output can be used as a starting point for your own, and sample 
-`XML data <sample-xml>`_ may also be reviewed if required.
+:ref:`XML data <sample-xml>` may also be reviewed if required.
 
diff --git a/docs/en_US/slony.rst b/docs/en_US/slony.rst
index d8c275e..df8f3a3 100644
--- a/docs/en_US/slony.rst
+++ b/docs/en_US/slony.rst
@@ -1,3 +1,6 @@
+.. _slony:
+
+
 Slony-I support
 =============== 
 
diff --git a/docs/en_US/using.rst b/docs/en_US/using.rst
index 4b63925..e690c23 100644
--- a/docs/en_US/using.rst
+++ b/docs/en_US/using.rst
@@ -1,3 +1,6 @@
+.. _using:
+
+
 Using pgAdmin III
 =================
 
